tigase.jaxmpp.core.client.xmpp.modules.registration

## Interface InBandRegistrationModule.ReceivedErrorHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    InBandRegistrationModule

      public static interface InBandRegistrationModule.ReceivedErrorHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `InBandRegistrationModule.ReceivedErrorHandler.ReceivedErrorEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onReceivedError(SessionObject sessionObject, IQ responseStanza, XMPPException.ErrorCondition errorCondition)`

- - ### Method Detail

    - #### onReceivedError

          void onReceivedError(SessionObject sessionObject,
                               IQ responseStanza,
                               XMPPException.ErrorCondition errorCondition)
                        throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.